# Method: properties.rollupPropertySourceLinks.list

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/list#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/list#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/list#body.ListRollupPropertySourceLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/list#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/list#try-it)

Lists roll-up property source Links on a property. Only roll-up properties can have source links, so this method will throw an error if used on other types of properties.

### HTTP request

`GET https://analyticsadmin.googleapis.com/v1alpha/{parent=properties/*}/rollupPropertySourceLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the roll-up property to list roll-up property source links under. Format: properties/{property_id} Example: properties/1234 |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of resources to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum) |
| `pageToken` | `string` Optional. A page token, received from a previous `rollupPropertySourceLinks.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `rollupPropertySourceLinks.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for rollupPropertySourceLinks.list RPC.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rollupPropertySourceLinks": [ { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks#RollupPropertySourceLink`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `rollupPropertySourceLinks[]` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks#RollupPropertySourceLink`)`` List of RollupPropertySourceLinks. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics.edit`